### Method

# FwupdPlugin Device remove_problem

since: 1.8.1

#### Declaration [src]

    void
    fu_device_remove_problem (
      FuDevice* self,
      FwupdDeviceProblem problem
    )

#### Description [src]

Allow the device from being updated if there are no other inhibitors, changing it from `FWUPD_DEVICE_FLAG_UPDATABLE_HIDDEN` to `FWUPD_DEVICE_FLAG_UPDATABLE`.

If the device already has no inhibit with the `inhibit_id` then the request is ignored.

Available since: 1.8.1

#### Parameters

`problem`

  Type: `FwupdDeviceProblem`

  A `FwupdDeviceProblem`, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.